WinCrypt.CERT_USAGE_MATCH (JNA API)

com.sun.jna.platform.win32

## Class WinCrypt.CERT_USAGE_MATCH

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_USAGE_MATCH

- Direct Known Subclasses:
    WinCrypt.CERT_USAGE_MATCH.ByReference
  Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"dwType","Usage"})
      public static class WinCrypt.CERT_USAGE_MATCH
      extends Structure

  The CERT_USAGE_MATCH structure provides criteria for identifying issuer certificates to be used to build a certificate chain.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CERT_USAGE_MATCH.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dwType`
    `WinCrypt.CTL_USAGE` | `Usage`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CERT_USAGE_MATCH()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwType

          public int dwType

    - #### Usage

          public WinCrypt.CTL_USAGE Usage

  - ### Constructor Detail

    - #### CERT_USAGE_MATCH

          public CERT_USAGE_MATCH()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.